## org.eclipse.datatools.connectivity.oda.design.ui.manifest
Class DataSetUIElement

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.design.ui.manifest.DataSetUIElement

public class DataSetUIElement
extends java.lang.Object

Represents the definition of customized data set designer that an ODA data provider extends to allow an user to create or edit an ODA data set design instance. This encapsulates the child elements for the data set wizard page(s) and editor page(s).

Method Summary
`IConfigurationElement` `getElement()` Returns the configuration element of this instance.
`java.lang.String` `getId()` Returns the fully qualified ID that uniquely identifies the ODA data set type within an ODA data source extension.
`java.lang.String` `getInitialPageId()` Returns the id of a dataSetPage that should be selected and have initial focus in a preference dialog.
`DataSetPageInfo` `getPageDefinition(java.lang.String pageId)` Returns the DataSetPageInfo instance that represents the dataSetPage element with the given id defined in this data set ui element.
`DataSetPageInfo[]` `getPageDefinitions()` Returns an array of definitions of customized data set pages that an extension contributes to an ODA host designer's data set dialog.
`static IConfigurationElement` `getPageElement(IConfigurationElement dataSetUIElement, java.lang.String pageId)` Returns the dataSetPage configuration element with the given page id defined in this data set ui element.
`java.lang.String[]` `getPageIds()` Returns an array of ids of the dataSetPage elements defined in this data set ui element.
`static IConfigurationElement` `getWizardElement(IConfigurationElement dataSetUIElement)` Returns the dataSetWizard configuration element that defines the wizard that allows an user to create a new ODA data set design instance.
`DataSetWizardInfo` `getWizardInfo()` Returns the definition of a data set wizard that allows an user to create a new ODA data set design instance.
`boolean` `supportsInParameters()` Indicates that this type of data set design supports input parameter definitions, and that an ODA host designer might need to collect further metadata on the parameter definitions provided by the customized page(s).
`boolean` `supportsOutParameters()` Indicates that this type of data set design supports output parameter definitions, and that an ODA host designer might need to collect further metadata on the parameter definitions provided by the customized page(s).

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getId

    public java.lang.String getId()

  Returns the fully qualified ID that uniquely identifies the ODA data set type within an ODA data source extension. Its value must match that of the dataSet.id attribute defined in the org.eclipse.datatools.connectivity.oda.dataSource extension of the same ODA driver.

  Returns:
    the attribute value in dataSetUI.id

### getInitialPageId

    public java.lang.String getInitialPageId()

  Returns the id of a dataSetPage that should be selected and have initial focus in a preference dialog.

  Returns:
    the attribute value in dataSetUI.initialPageId; may be null if none is specified

### supportsInParameters

    public boolean supportsInParameters()

  Indicates that this type of data set design supports input parameter definitions, and that an ODA host designer might need to collect further metadata on the parameter definitions provided by the customized page(s).

  Returns:
    the attribute value in dataSetUI.supportsInParameters

### supportsOutParameters

    public boolean supportsOutParameters()

  Indicates that this type of data set design supports output parameter definitions, and that an ODA host designer might need to collect further metadata on the parameter definitions provided by the customized page(s).

  Returns:
    the attribute value in dataSetUI.supportsOutParameters

### getElement

    public IConfigurationElement getElement()

  Returns the configuration element of this instance.

  Returns:
    a dataSetUI configuration element

### getWizardInfo

    public DataSetWizardInfo getWizardInfo()

  Returns the definition of a data set wizard that allows an user to create a new ODA data set design instance.

  Returns:
    the wizard definition that represents the dataSetUI.dataSetWizard element

### getWizardElement

    public static IConfigurationElement getWizardElement(IConfigurationElement dataSetUIElement)
                                                  throws OdaException

  Returns the dataSetWizard configuration element that defines the wizard that allows an user to create a new ODA data set design instance.

  Parameters:
    `dataSetUIElement` - a dataSetUI configuration element
  Returns:
    the dataSetWizard configuration element
  Throws:
    `OdaException` - if no dataSetWizard element is defined

### getPageDefinitions

    public DataSetPageInfo[] getPageDefinitions()

  Returns an array of definitions of customized data set pages that an extension contributes to an ODA host designer's data set dialog. Its order is in the same sequence as the dataSetPage elements defined in the extension manifest.

  Returns:
    an array of data set page definitions that represent the dataSetUI.dataSetPage elements

### getPageIds

    public java.lang.String[] getPageIds()

  Returns an array of ids of the dataSetPage elements defined in this data set ui element. Its order is in the same sequence as the dataSetPage elements defined in the extension manifest.

  Returns:
    an array of data set page ids.

### getPageDefinition

    public DataSetPageInfo getPageDefinition(java.lang.String pageId)
                                      throws OdaException

  Returns the DataSetPageInfo instance that represents the dataSetPage element with the given id defined in this data set ui element. If the given page id is null and the data set UI extension has only one data set page element, that data set page will be returned by default.

  Returns:
    the data set page definition
  Throws:
    `OdaException` - if no data set page id is specified, and there are more than one data set pages; or when no match is found for given page id

### getPageElement

    public static IConfigurationElement getPageElement(IConfigurationElement dataSetUIElement,
                                                       java.lang.String pageId)
                                                throws OdaException

  Returns the dataSetPage configuration element with the given page id defined in this data set ui element. If the given page id is null and the data set UI extension has only one data set page element, that data set page element will be returned by default.

  Parameters:
    `dataSetUIElement` - a dataSetUI configuration element
  Returns:
    the dataSetPage configuration element with given id; may be null if no matching id is found
  Throws:
    `OdaException` - if no data set page id is specified, and there are more than one data set pages

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.